## typeshed 0.0~git20221107.4f381af

=== requirements.txt ===
packaging
requests
tomli

setuptools
wheel
twine

mypy
pytest
types-requests

## typeshed 0.0~git20211009.0142ea8

=== debian/changelog ===
typeshed (0.0~git20211009.0142ea8-3) unstable; urgency=medium

  * Break/Replace python3-types-toml, python3-types-typed-ast (Closes: #999461)

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 11 Nov 2021 14:29:21 -0300

typeshed (0.0~git20211009.0142ea8-2) unstable; urgency=medium

  * Source only upload to allow for testing migration

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 09 Nov 2021 18:44:44 -0300

typeshed (0.0~git20211009.0142ea8-1) unstable; urgency=medium

  * Initial release (Closes: #996087)

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 10 Oct 2021 19:06:17 -0300

=== debian/control ===
Source: typeshed
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Antonio Terceiro <terceiro@debian.org>
Build-Depends: debhelper-compat (= 13),
               git,
               python3,
               python3-pip,
               python3-requests,
               python3-toml
Standards-Version: 4.6.0.1
Vcs-Git: https://salsa.debian.org/python-team/packages/typeshed.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/typeshed
Homepage: https://github.com/python/typeshed
Rules-Requires-Root: no

Package: python3-typeshed
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Provides: ${typeshed:Provides}
Breaks: python3-types-toml, python3-types-typed-ast
Replaces: python3-types-toml, python3-types-typed-ast
Description: collection of library stubs for Python, with static types
 Typeshed contains external type annotations for the Python standard library
 and Python builtins, as well as third party packages as contributed by people
 external to those projects.
 .
 This data can e.g. be used for static analysis, type checking or type
 inference.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

stubs ?= $(shell ls -1 stubs/)

override_dh_auto_install:
	dh_auto_install
	python3 debian/install_stubs.py $(stubs)
	find debian/python3-typeshed/ -name direct_url.json -delete
	find debian/python3-typeshed/ -name RECORD -exec sed -i -e /direct_url.json/d '{}' ';'

override_dh_auto_clean:
	dh_auto_clean
	rm -rf debian/build

=== debian/tests/control ===
Tests: check
Depends: mypy, python3-aiofiles, python3-requests, @

## typeshed 0.0~git20220610.ad48606

=== debian/changelog ===
typeshed (0.0~git20220610.ad48606-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + python3-typeshed: Add :any qualifier for python3 dependency.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 28 Oct 2022 18:54:29 +0100

typeshed (0.0~git20220610.ad48606-1) unstable; urgency=medium

  * New upstream snapshot 0.0~git20220610.ad48606
  * Remove patch (applied upstream)
  * debian/install_stubs.py: remove --system option (Closes: #1005472)
  * debian/install_stubs.py: remove .* from version numbers
  * Depends: add python3, drop ${python3:Depends}
  * debian/rules: drop executable bit from files installed

 -- Antonio Terceiro <terceiro@debian.org>  Fri, 10 Jun 2022 19:59:30 -0300

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 
 Package: python3-typeshed
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}
+Depends: ${misc:Depends}, python3:any
 Provides: ${typeshed:Provides}
 Breaks: python3-types-toml, python3-types-typed-ast
 Replaces: python3-types-toml, python3-types-typed-ast

## typeshed 0.0~git20221107.4f381af

=== debian/changelog ===
typeshed (0.0~git20221107.4f381af-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * debian/install_stubs.py: update for latest code
  * debian/patches/relative_package_list: find the data files more
    flexibly.
  * d/control: additional build-deps

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 08 Nov 2022 15:26:03 +0100

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,10 @@
                python3,
                python3-pip,
                python3-requests,
-               python3-toml
-Standards-Version: 4.6.0.1
+               python3-toml,
+               python3-tomli,
+               python3-packaging
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/python-team/packages/typeshed.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/typeshed
 Homepage: https://github.com/python/typeshed
@@ -21,6 +23,7 @@
 Provides: ${typeshed:Provides}
 Breaks: python3-types-toml, python3-types-typed-ast
 Replaces: python3-types-toml, python3-types-typed-ast
+Multi-Arch: foreign
 Description: collection of library stubs for Python, with static types
  Typeshed contains external type annotations for the Python standard library
  and Python builtins, as well as third party packages as contributed by people

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,8 @@
 	python3 debian/install_stubs.py $(stubs)
 	find debian/python3-typeshed/ -name direct_url.json -delete
 	find debian/python3-typeshed/ -name RECORD -exec sed -i -e /direct_url.json/d '{}' ';'
+	find debian/python3-typeshed/usr/lib/python3/dist-packages \
+		-type f -executable -exec chmod -x '{}' ';'
 
 override_dh_auto_clean:
 	dh_auto_clean

## typeshed 0.0~git20231111.6764465

=== requirements.txt ===
packaging
requests<2.30.0
tomli

setuptools
wheel
twine

mypy
pytest
types-requests

black

=== debian/changelog ===
typeshed (0.0~git20231111.6764465-3) unstable; urgency=medium

  * Team upload.
  * d/python3-typeshed.lintian-overrides: silence more false-positives.
  * d/install_stubs.py: install into separate directories, the merge.
                        Closes: #1056165
  * d/rules: delete all METADATA.toml files from the binary package, no
    need to include them.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 20 Nov 2023 11:30:41 +0100

typeshed (0.0~git20231111.6764465-2) unstable; urgency=medium

  * Team upload.
  * d/rules, d/clean: Fully clean up after building. Closes: #1048944

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 14 Nov 2023 13:24:23 +0100

typeshed (0.0~git20231111.6764465-1) unstable; urgency=medium

  * Team upload.
  * New upstream snapshot (Closes: #1053938)
  * Standards-Version: 4.6.2 (routine-update)
  * d/patches: drop relative_package_list, was applied upstream.
  * d/clean: remove stub-uploader/stub_uploader/__pycache__/
  * d/patches/skip-verify-external-req: skip pypi.org check

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 12 Nov 2023 12:46:38 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                python3-toml,
                python3-tomli,
                python3-packaging
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/python-team/packages/typeshed.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/typeshed
 Homepage: https://github.com/python/typeshed

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,7 @@
 override_dh_auto_install:
 	dh_auto_install
 	python3 debian/install_stubs.py $(stubs)
+	find debian/python3-typeshed/ -name METADATA.toml -delete
 	find debian/python3-typeshed/ -name direct_url.json -delete
 	find debian/python3-typeshed/ -name RECORD -exec sed -i -e /direct_url.json/d '{}' ';'
 	find debian/python3-typeshed/usr/lib/python3/dist-packages \
@@ -15,4 +16,4 @@
 
 override_dh_auto_clean:
 	dh_auto_clean
-	rm -rf debian/build
+	find . -name py.typed -delete

## typeshed 0.0~git20241223.ea91db2

=== requirements.txt ===
# scripts
packaging
requests < 2.30.0
tomli

# build and upload
build
setuptools
twine
wheel

# tests
mypy
pytest
types-requests

# formatting
black >= 24.1.1, < 25

=== debian/changelog ===
typeshed (0.0~git20241223.ea91db2-4) unstable; urgency=medium

  * Team upload.
  * Do not package /usr/lib/python3/dist-packages/ujson-stubs
    (Closes: #1112173, #1112527).

 -- Thomas Goirand <zigo@debian.org>  Wed, 03 Sep 2025 12:49:29 +0200

typeshed (0.0~git20241223.ea91db2-3) unstable; urgency=medium

  * Team upload.
  * Patch-out python3-tomli

 -- Alexandre Detiste <tchet@debian.org>  Mon, 28 Jul 2025 18:50:11 +0200

typeshed (0.0~git20241223.ea91db2-2) unstable; urgency=medium

  * Team upload.
  * Port debian/install_stubs.py to new tomllib from Standard Library

 -- Alexandre Detiste <tchet@debian.org>  Wed, 14 May 2025 16:52:16 +0200

typeshed (0.0~git20241223.ea91db2-1) unstable; urgency=medium

  * Team upload.
  * New upstream snapshot. (Closes: #1081006)
  * debian/control: Add build-dep python3-setuptools, python3-build.
  * debian/install_stubs.py: Fix the mishandling of '~=' version
    relationship in METADATA.toml. Drop them if found.
  * debian/rules: Make the handling of debian/*.substvars verbose.
  * debian/python3-typeshed.lintian-overrides: Updated.

 -- Boyuan Yang <byang@debian.org>  Sun, 22 Dec 2024 21:59:31 -0500

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,11 @@
 Build-Depends: debhelper-compat (= 13),
                git,
                python3,
+               python3-build,
                python3-pip,
                python3-requests,
-               python3-toml,
-               python3-tomli,
-               python3-packaging
+               python3-packaging,
+               python3-setuptools,
 Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/python-team/packages/typeshed.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/typeshed

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,12 @@
 	dh $@
 
 stubs ?= $(shell ls -1 stubs/)
+
+execute_before_dh_auto_install:
+	# Avoid using ~= relationship, which is later unable to be correctly processed.
+	# There are two possibilities: '~= x.y.z' and '~=x.y.z'. Change them to 'x.y.z'.
+	find stubs/ -name METADATA.toml -exec sed -i -e 's/~= //g' {} \;
+	find stubs/ -name METADATA.toml -exec sed -i -e 's/~=//g' {} \;
 
 override_dh_auto_install:
 	dh_auto_install
@@ -14,6 +20,13 @@
 	find debian/python3-typeshed/usr/lib/python3/dist-packages \
 		-type f -executable -exec chmod -x '{}' ';'
 
+	# Already present in python3-ujson itself, see #1112527 and #1112173
+	rm -rf $(CURDIR)/debian/python3-typeshed/usr/lib/python3/dist-packages/ujson-stubs
+
 override_dh_auto_clean:
 	dh_auto_clean
 	find . -name py.typed -delete
+
+execute_before_dh_gencontrol:
+	echo 'Now inserting the following substvars file:'
+	@cat debian/python3-typeshed.substvars

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
    https://github.com/python/typeshed \
    HEAD debian
opts="mode=git, pgpmode=none, component=stub-uploader" \
    https://github.com/typeshed-internal/stub_uploader \
    HEAD ignore

## typeshed 0.0~git20260204.516eed0

=== requirements.txt ===
# scripts
packaging
requests < 2.30.0

# build and upload
build
setuptools >= 77.0.3
twine

# tests
mypy
pytest
types-requests

# formatting
black >= 24.1.1, < 25

=== debian/changelog ===
typeshed (0.0~git20260204.516eed0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop tomli.patch, fixed upstream.

 -- Antoine Beaupré <anarcat@debian.org>  Wed, 04 Feb 2026 09:43:52 -0500
